# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetCrossReferenceReq

Packages that use TGetCrossReferenceReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetCrossReferenceReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetCrossReferenceReq
Modifier and Type
Class
Description
`class`
`TGetCrossReferenceReq`
`class`
`TGetCrossReferenceReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetCrossReferenceReq
Modifier and Type
Field
Description
`TGetCrossReferenceReq`
TCLIService.GetCrossReference_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetCrossReferenceReq
Modifier and Type
Method
Description
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`deepCopy()`
`TGetCrossReferenceReq`
TCLIService.GetCrossReference_args.`getReq()`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setForeignCatalogName(String foreignCatalogName)`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setForeignSchemaName(String foreignSchemaName)`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setForeignTableName(String foreignTableName)`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setParentCatalogName(String parentCatalogName)`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setParentSchemaName(String parentSchemaName)`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setParentTableName(String parentTableName)`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setRunAsync(boolean runAsync)`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetCrossReferenceReq
Modifier and Type
Method
Description
`int`
TGetCrossReferenceReq.`compareTo(TGetCrossReferenceReq other)`
`boolean`
TGetCrossReferenceReq.`equals(TGetCrossReferenceReq that)`
`void`
TCLIService.AsyncClient.`GetCrossReference(TGetCrossReferenceReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetCrossReference(TGetCrossReferenceReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler)`
`TGetCrossReferenceResp`
TCLIService.Client.`GetCrossReference(TGetCrossReferenceReq req)`
`TGetCrossReferenceResp`
TCLIService.Iface.`GetCrossReference(TGetCrossReferenceReq req)`
`void`
TCLIService.Client.`send_GetCrossReference(TGetCrossReferenceReq req)`
`TCLIService.GetCrossReference_args`
TCLIService.GetCrossReference_args.`setReq(TGetCrossReferenceReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetCrossReferenceReq
Modifier
Constructor
Description
``
`GetCrossReference_args(TGetCrossReferenceReq req)`
``
`GetCrossReference_call(TGetCrossReferenceReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetCrossReferenceReq(TGetCrossReferenceReq other)`
Performs a deep copy on other.